Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Po Lu <[email-masked]>
Date: Mon, 10 Feb 2025 12:27:24 +0800

Álvaro Ramírez <[email-masked]> writes:

> Hi folks,
>
> Similar to the existing ns-do-show-character-palette command, this
> patch exposes a native macOS context dialog.
>
> The new addition enables users to share (send) text or files to other
> apps.
>
> Examples:
>
> - Send current buffer file.
> - Send a list of dired files.
> - Send region text.
>
> I'm keen to polish the patch a bit more, but wanted to pre-fly things
> before investing further.
>
> Overall it's a nice/convenient addition. I use it frequently to
> quickly send things to my phone over local network/Bluetooth.
>
> I'm attaching a couple of screenshots showcasing a couple of uses:
>
> share-dired-files.jpg (send files from dired)
> share-region-text.jpg (send region text)
>
> Hope you like it.

Thanks.  No such functionality exists on Free operating systems, and
consequently we cannot accept such features, until such time as similar
file sharing facilities appear and become widely available in GNU/Linux.